Package weka.knowledgeflow.steps

# Class Appender

java.lang.Object
weka.knowledgeflow.steps.BaseStep
weka.knowledgeflow.steps.Appender

All Implemented Interfaces:
  `Serializable`, `BaseStepExtender`, `Step`

@KFStep(name="Appender", category="Flow", toolTipText="Append multiple sets of instances", iconPath="weka/gui/knowledgeflow/icons/Appender.png") public class Appender extends BaseStep
A bean that appends multiple incoming data connections into a single data set. The incoming connections can be either all instance connections or all batch-oriented connections (i.e. data set, training set and test set). Instance and batch connections can't be mixed. An amalgamated output is created that is a combination of all the incoming attributes. Missing values are used to fill columns that don't exist in a particular incoming data set. If all incoming connections are instance connections, then the outgoing connection must be an instance connection (and vice versa for incoming batch connections).

Version:
  $Revision: $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Appender()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getIncomingConnectionTypes()`
  Get the incoming connection types accepted by this step at this time
  `List<String>`
  `getOutgoingConnectionTypes()`
  Get a list of outgoing connection types that this step can produce at this time
  `Instances`
  `outputStructureForConnectionType(String connectionName)`
  If possible, get the output structure for the named connection type as a header-only set of instances.
  `void`
  `processIncoming(Data data)`
  Process an incoming data payload (if the step accepts incoming connections)
  `void`
  `stepInit()`
  Initialize the step

  ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

  `environmentSubstitute, getCustomEditorForStep, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, outputStructureForConnectionType, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Appender

    public Appender()

- ## Method Details

  - ### stepInit

    public void stepInit() throws WekaException
    Initialize the step
    Throws:
      `WekaException` - if a problem occurs

  - ### getIncomingConnectionTypes

    public List<String> getIncomingConnectionTypes()
    Get the incoming connection types accepted by this step at this time
    Returns:
      a list of incoming connection types

  - ### getOutgoingConnectionTypes

    public List<String> getOutgoingConnectionTypes()
    Get a list of outgoing connection types that this step can produce at this time
    Returns:
      a list of outgoing connection types

  - ### processIncoming

    public void processIncoming(Data data) throws WekaException
    Process an incoming data payload (if the step accepts incoming connections)
    Specified by:
      `processIncoming` in interface `BaseStepExtender`
    Specified by:
      `processIncoming` in interface `Step`
    Overrides:
      `processIncoming` in class `BaseStep`
    Parameters:
      `data` - the data to process
    Throws:
      `WekaException` - if a problem occurs

  - ### outputStructureForConnectionType

    public Instances outputStructureForConnectionType(String connectionName) throws WekaException
    If possible, get the output structure for the named connection type as a header-only set of instances. Can return null if the specified connection type is not representable as Instances or cannot be determined at present.
    Specified by:
      `outputStructureForConnectionType` in interface `Step`
    Overrides:
      `outputStructureForConnectionType` in class `BaseStep`
    Parameters:
      `connectionName` - the name of the connection to get the output structure for
    Returns:
      the output structure or null if it can't be produced
    Throws:
      `WekaException` - if a problem occurs